apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.android.compileSdkVersion

    defaultConfig {
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion
        versionCode 1
        versionName "${MOGO_SOCKET_VERSION}"

        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    api 'com.google.protobuf:protobuf-java:3.12.4'

    implementation 'io.netty:netty-all:4.1.29.Final'
    api 'com.zhidao.ptech:connsvr-protoco:0.1.37'
    api 'com.elegant.network:network:1.1.28'
    api 'com.elegant.analytics:analytics:1.1.28'

    // socket-for-internal 长链  内部SDK版本
    implementation 'com.zhidao.socketsdk:socketsdk:2.1.4'

    // socket-for-sdk 长链 http://wiki.zhidaohulian.com/pages/viewpage.action?pageId=48956182  外部SDK版本
    api 'com.zhidao.socket:built-in-socket:1.0.35'


    if (Boolean.valueOf(RELEASE)) {
        implementation "com.mogo.cloud:passport:${MOGO_PASSPORT_VERSION}"
    } else {
        implementation project(path: ':foudations:mogo-passport')
    }
}

apply from: new File(rootProject.rootDir, "gradle/upload.gradle").toString()